apiVersion: autoscaling/v1
kind: HorizontalPodAutoscaler
metadata:
  name: hpa-boutique
spec:
  maxReplicas: 10  # minReplicas = 1 par défaut
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: boutique
  targetCPUUtilizationPercentage: 50
